# Legal Notice

> [!IMPORTANT]
> This repository is **not associated with or endorsed** by the providers of the APIs contained herein. This project is intended **for educational purposes only**. It is a personal project aimed at learning and exploration.

## Affiliation Disclaimer

This repository is not associated with or endorsed by any of the API providers mentioned herein, including but not limited to:

- DuckDuckGo
- Google
- Meta
- OpenAI
- Anthropic
- Cohere
- Perplexity
- Yep.com
- HuggingFace
- And others

All trademarks, API services, and other intellectual property referenced are the property of their respective owners. No claim of ownership or affiliation is made by this project.

Owners of any included sites or services may contact the maintainers to improve their security or request the removal of their content from this repository.

---

## License

This repository is licensed under the Apache License, Version 2.0 with additional terms specific to Webscout's API usage and third-party services.

> 📄 The full text of this license is available in the [LICENSE.md](./LICENSE.md) file.

---

## Liability Limitation

In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, consequential, or exemplary damages of any character arising as a result of this License or out of the use or inability to use the Work.

---

## No Warranties

> [!WARNING]
> The Work is provided on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of:
> - TITLE
> - NON-INFRINGEMENT
> - MERCHANTABILITY
> - FITNESS FOR A PARTICULAR PURPOSE

You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.

---

## User Responsibility

> [!IMPORTANT]
> Users assume all risks associated with the use of this repository. They are responsible for ensuring their use complies with all terms of service for the APIs accessed through this toolkit and must obtain any necessary permissions or licenses for third-party services.

---

## Legal Compliance

Users are responsible for ensuring that their use of the repository and its contents complies with all applicable:

- Local laws and regulations
- State laws and regulations
- National laws and regulations
- International laws and regulations

Including but not limited to:
* Privacy laws
* Data protection regulations
* Export control laws

---

## Redistribution Requirements

When redistributing copies of the Work or Derivative Works thereof:

1. You **must** give recipients a copy of the License
2. You **must** cause any modified files to carry prominent notices stating that You changed the files
3. You **must** retain all copyright, patent, trademark, and attribution notices from the Source form of the Work
4. You **must** include any NOTICE file as part of its distribution

---

## Third-Party Services

> [!NOTE]
> When using the APIs and services accessed through this Work, you must:
>
> 1. Comply with all terms of service of the respective API providers
> 2. Maintain appropriate attribution and licenses for third-party services
> 3. Be responsible for obtaining any necessary permissions or licenses
> 4. Not use the Work in any way that could damage or overload third-party services

---

## Trademarks

This License does not grant permission to use trade names, trademarks, service marks, or product names of the contributors, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.

---

## Privacy Notice

> [!NOTE]
> Webscout may collect usage data and performance metrics. By using this repository, you acknowledge that:
>
> 1. Such data collection will comply with applicable privacy laws
> 2. You must provide appropriate privacy notices to end users
> 3. You must obtain necessary consents for data collection
> 4. You must implement appropriate data security measures

---

## Contributions

Unless explicitly stated otherwise, any Contribution intentionally submitted for inclusion in the Work shall be under the terms and conditions of this License, without any additional terms or conditions.

**FOR CONTRIBUTORS**: By submitting content to this project, you agree to the terms outlined in this document.

---

## Export Compliance

The Work and its use may be subject to export laws and regulations. Users agree to comply with all such laws and regulations that may apply to the Work after distribution.

---

## Severability

If any provision of this notice is found to be unlawful, void, or unenforceable, that provision shall be deemed severable from this notice and shall not affect the validity and enforceability of the remaining provisions.

---

## Updates and Changes

> [!NOTE]
> The author reserves the right to modify, update, or remove any content, information, or features in this repository at any time without prior notice. Users are responsible for regularly reviewing the content and any changes made to this repository.

---

<details>
<summary><strong>Document Version Information</strong></summary>

- **Last Updated**: April 14, 2025
- **Version**: 1.2
- **Document Owner**: Webscout Team
</details>

